<?xml version="1.0"?>

<!--
     Tags script to demonstrate how to download an RSS feed and convert
     it into an HTML document. The script loads the current NOAA News
     Releases RSS document.

     It also plays a warning sound if a tsunami, tornado, or hurricane
     is mentioned in any title or description text.

     You can plug in any RSS URL, or you can modify the script to load
     RSS documents via a list of URLs in a file. Or you can ... Ok, what
     can you do?

     Handles rss 1.0 and 2.0, and could easily handle NOAA's CAP format.
                                                                    -->

<rss script="/rss/text()"><![CDATA[
$# in contextNode(http://www.rss.noaa.gov/noaarss.xml)
$#in contextNode(http://news.nationalgeographic.com/index.rss)
$# out HTTPResponseHeaders(head.txt)
$# out contextNode(body.txt)
<html>
<head>
<h2>$!/*/channel/title/text()$$</h2>
</head>
<body>
$#if   ($!/rdf:RDF$$) {
  $#set nodes($!/*/item$$)
$#elif ($!/rss$$)
  $#set nodes($!/*/channel/item$$)
$#else
  $#stop (RSS format not recognized)  
$#end }
$#forEach node($?nodes$$)                list all the items in the feed
  $#set contextNode($?forEach$$)
<p><a href="$!link/text()$$">$!title/text()$$</a><br>
$!description/text()$$</p>
  $#if   $!title/text`(`)$$([tT]sunami|[tT]ornado|[hH]urricane) {
    $#set warning(true)
  $#elif $!description/text`(`)$$([tT]sunami|[tT]ornado|[hH]urricane)
    $#set warning(true)
  $#end }
$#end
</body>
</html>
$#out (c:\tags\test.htm)                    output text to an html file
$#open (file://c:/tags/test.htm)              display it in the browser
$#if (warning) {
  $#play (warning.wav)                            play a warning klaxon
$#end }
]]></rss>

